#####
###  PropertyFolder - a generic PropertyFolder for ZOPE
##   Copyright (C) 2003 Maik Jablonski (maik.jablonski@uni-bielefeld.de)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
##   along with this program; if not, write to the Free Software
###  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#####

from Globals import ImageFile
import PropertyFolder

misc_ = {'up': ImageFile('www/up.gif', globals()),
         'down': ImageFile('www/down.gif', globals()),}

def initialize(context):
    ''' Initialize the PropertyFolder-Product '''

    context.registerClass(
        PropertyFolder.PropertyFolder,
        constructors=(PropertyFolder.manage_addPropertyFolderForm,
                      PropertyFolder.manage_addPropertyFolder),
        icon='www/icon.gif'
        )
